Loading...
Searching...
No Matches
oval_object_content Struct Reference
OVAL » OVALDEF

An Oval_object_content instance specifies an oval_object field. More...

`#include <oval_definitions.h>`

Collaboration diagram for oval_object_content:
[legend]

## Public Member Functions

OSCAP_API struct oval_object_content * | oval_object_content_new (struct oval_definition_model *model, oval_object_content_type_t type)
OSCAP_API struct oval_object_content * | oval_object_content_clone (struct oval_definition_model *new_model, struct oval_object_content *old_content)
OSCAP_API void | oval_object_content_free (struct oval_object_content *)
Setters
OSCAP_API void | oval_object_content_set_type (struct oval_object_content *, oval_object_content_type_t)
OSCAP_API void | oval_object_content_set_field_name (struct oval_object_content *, char *)
OSCAP_API void | oval_object_content_set_entity (struct oval_object_content *, struct oval_entity *)
OSCAP_API void | oval_object_content_set_varCheck (struct oval_object_content *, oval_check_t)
OSCAP_API void | oval_object_content_set_setobject (struct oval_object_content *, struct oval_setobject *)
OSCAP_API void | oval_object_content_set_filter (struct oval_object_content *, struct oval_filter *)
Getters
OSCAP_API char * | oval_object_content_get_field_name (struct oval_object_content *)
| Get field name of a object content.
OSCAP_API oval_object_content_type_t | oval_object_content_get_type (struct oval_object_content *)
| Get type of a object content (entity or set).
OSCAP_API struct oval_entity * | oval_object_content_get_entity (struct oval_object_content *)
| Get entity of a simple object content.
OSCAP_API oval_check_t | oval_object_content_get_varCheck (struct oval_object_content *)
| Get varCheck of a simple object content.
OSCAP_API struct oval_setobject * | oval_object_content_get_setobject (struct oval_object_content *)
| Get setobject of a set object content.
OSCAP_API struct oval_filter * | oval_object_content_get_filter (struct oval_object_content *content)
| Get filter of a set object content.

## Data Fields

struct oval_definition_model * | model
char * | fieldName
oval_object_content_type_t | type

## Detailed Description

An Oval_object_content instance specifies an oval_object field.

The documentation for this struct was generated from the following files:

- oval_objectContent.c
- oval_definitions.h